Bug 111018 - bad source code
bad source code
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: oaf (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-26 10:23 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-28 08:07:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-11-26 10:23:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
I just tried to compile package oaf-0_6_10-6 from Fedora.

The compiler said

ac-query-expr.c(517): remark #592: variable "retval" is used before
its value is set

The source code is

        QueryExprConst retval;
        if (!fi->name) {
                g_warning ("Invalid function name '%s'", func_name);
                return retval;
        }

Suggest initialise retval before use.



Version-Release number of selected component (if applicable):
oaf-0_6_10-6 

How reproducible:
Always

Steps to Reproduce:
1. by inspection
2.
3.
    

Additional info:
Comment 1 Mark McLoughlin 2004-07-28 08:07:45 EDT
(Again, sorry about the inactivity)

oaf is a package which has pretty much ceased development and is only
retained for compatibility reasons only. For that reason, I'm don't
think its worthwhile to release a new version of the package purely to
fix a warning which won't actually cause a problem in practise.

I've checked the latest version of the code (in
libbbonobo/activation-server) and the bug has been fixed. Thanks.
Comment 2 David Binderman 2005-04-28 13:43:06 EDT
>oaf is a package which has pretty much ceased development

Strange. 

Current version is 0.6.10-12, which means six versions have elapsed since my bug
report.

>I'm don't think its worthwhile to release a new version 

Entirely your choice. A definate read of uninitialised memory in my code 
would have me re-coding it, but for oaf, that's up to you.

>I've checked the latest version of the code and the bug has been fixed.

Even stranger. oaf is still part of FC4 test1, and the bug report still exists
in 0.6.10-12, dated around 27 April 2005.
Comment 3 Mark McLoughlin 2005-05-02 05:26:39 EDT
(In reply to comment #2)
> >oaf is a package which has pretty much ceased development
> 
> Strange. 
> 
> Current version is 0.6.10-12, which means six versions have elapsed since my bug
> report.

I'm pretty sure I've explained this to you before - the "release" number is the
one being bumped here, not the version number.

So, what's happened since -6? :

* Wed Mar  2 2005 Mark McLoughlin <markmc@redhat.com> 0.6.10-12
- Rebuild with gcc4

* Fri Aug  6 2004 Tim Waugh <twaugh@redhat.com> 0.6.10-11
- Fixed underquoted m4 definitions.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Oct 27 2003 Havoc Pennington <hp@redhat.com> 0.6.10-8
- rebuild for exec shield

* Mon Jun 23 2003 Havoc Pennington <hp@redhat.com> 0.6.10-7
- rebuild


The package has been rebuilt a number of times with no changes apart from
bumping the release number. The package has seen no real development at all and
is only there for compatibility reasons. It is not worth time spending time
fixing compiler warnings in such packages.

> >I've checked the latest version of the code and the bug has been fixed.
> 
> Even stranger. oaf is still part of FC4 test1, and the bug report still exists
> in 0.6.10-12, dated around 27 April 2005.

The "latest version of the code" I'm referring to is in the libbonobo package.


Note You need to log in before you can comment on or make changes to this bug.